package com.zxhl.main.page.contract

import okhttp3.MultipartBody

class SettingInfoContract {
    interface View {
        fun addInfoSuc()
        fun addInfoFail()
    }

    interface Presenter {
        fun addUserInfo(
            birthday: String,
            invitationCode: String,
            nickname: String,
            sex: String,
            headImage: MultipartBody.Part?
        )

        fun addUserNoHeadImg(
            birthday: String,
            invitationCode: String,
            nickname: String,
            sex: String
        )
    }
}